using C1.Win.FlexGrid;
using C1.Win.Themes;

namespace FlexDataMapReset
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();

      Dictionary<Color, Color> dataMap = new Dictionary<Color, Color>();
      dataMap.Add(Color.Red, Color.Red);
      dataMap.Add(Color.Green, Color.Green);
      this.c1FlexGrid1.Cols[0].DataMap = dataMap;

      CellStyle style = this.c1FlexGrid1.Styles.Add("StyleDataMap", this.c1FlexGrid1.Styles.Normal);
      style.DataMap = dataMap;
      this.c1FlexGrid1.Cols[1].Style = style;


      for (int row = this.c1FlexGrid1.Rows.Fixed; row < this.c1FlexGrid1.Rows.Count; row++)
      {
        //Create Style for each cell:
        CellStyle styleCell = this.c1FlexGrid1.Styles.Add("StyleDataMap_Row" + row, this.c1FlexGrid1.Styles.Normal);
        styleCell.DataMap = dataMap;
        this.c1FlexGrid1.SetCellStyle(row, 2, styleCell);
      }
    }

    protected override void OnLoad(EventArgs e)
    {
      base.OnLoad(e);

      C1Theme theme = C1ThemeController.GetThemeByName("MacSilver", true);
      C1ThemeController.ApplyThemeToControlTree(this, theme);
    }
  }
}